> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris Expense Currencies

> Lists org currencies, auto-creating missing common fiat rows, plus the employee's crypto wallet.

Required scope: `expenses:read`. It also needs `banking:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-hris-expense-currencies
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-expense-currencies:
    get:
      operationId: getHrisExpenseCurrencies
      summary: Get Hris Expense Currencies
      x-toku-required-scope: expenses:read
      description: >-
        Lists org currencies, auto-creating missing common fiat rows, plus the
        employee's crypto wallet.


        Required scope: `expenses:read`. It also needs `banking:read`.
      parameters:
        - name: roleInOrgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisExpenseCurrenciesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisExpenseCurrenciesResponse:
      type: object
      properties:
        currencies:
          type: array
          items:
            type: object
            properties:
              currencyID:
                type: string
              currencyCode:
                type: string
              name:
                type: string
              crypto:
                type: boolean
              coinLogoURL:
                type:
                  - string
                  - 'null'
            required:
              - currencyID
              - currencyCode
              - name
              - crypto
              - coinLogoURL
        employeeCryptoWallet:
          type: object
          properties:
            address:
              type:
                - string
                - 'null'
            chain:
              type:
                - string
                - 'null'
            stablecoin:
              type:
                - string
                - 'null'
          required:
            - address
            - chain
            - stablecoin
      required:
        - currencies
        - employeeCryptoWallet
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
